#!/bin/sh

set -euo pipefail
IFS=$'\n\t'

NAME="wt"
VERSION="$1"

tmp=`mktemp -d`
archiveName="$VERSION.tar.gz"
[[ -f "${archiveName}" ]] || archiveName="$NAME-$VERSION.tar.gz"
if [[ ! -f "${archiveName}" ]]; then
    printf 'Could not find source archive %s!\n' "$archiveName" >&2
    exit 1
fi

dirName="$NAME-$VERSION"
tar -xzvf "$archiveName" -C "$tmp"
pushd "$tmp"
pushd "$dirName/src/Wt/Dbo/backend"
rm -r ibpp
popd # backend
rm -r "$dirName/resources/jPlayer"
tar -cJvf "$dirName-free.tar.xz" "$dirName"
popd # tmp
mv "$tmp/$dirName-free.tar.xz" .
rm -r "$tmp"
